Index: sasmodels/models/mass_surface_fractal.py
===================================================================
--- sasmodels/models/mass_surface_fractal.py	(revision 9c461c713e9961727442c844be3e6354d6548c2f)
+++ sasmodels/models/mass_surface_fractal.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -54,5 +54,6 @@
 P Schmidt, *J Appl. Cryst.*, 24 (1991) 414-435 Equation(19)
 
-A J Hurd, D W Schaefer, J E Martin, *Phys. Rev. A*, 35 (1987) 2361-2364 Equation(2)
+A J Hurd, D W Schaefer, J E Martin, *Phys. Rev. A*,
+35 (1987) 2361-2364 Equation(2)
 
 """
@@ -79,4 +80,5 @@
 category = "shape-independent"
 
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [["mass_dim",      "",    1.8, [1e-16, 6.0], "",
@@ -88,6 +90,6 @@
               ["primary_rg", "Ang", 4000.,  [0.0, inf], "",
                "Primary particle radius of gyration"],
-              ]
-
+             ]
+# pylint: enable=bad-whitespace, line-too-long
 
 source = ["mass_surface_fractal.c"]
@@ -106,25 +108,32 @@
                primary_rg='primary_rg')
 
-tests = [[{'radius':        2.0,
-           'mass_dim':      3.3,
-           'surface_dim':   1.0,
-           'cluster_rg':   90.0,
-           'primary_rg': 4000.0,
-           }, 0.001, 0.18462699016],
+tests = [
 
-         [{'radius':        1.0,
-           'mass_dim':      1.3,
-           'surface_dim':   1.0,
-           'cluster_rg':   90.0,
-           'primary_rg': 2000.0,
-           'background':    0.8,
-           }, 0.001, 1.16539753641],
+    # Accuracy tests based on content in test/utest_other_models.py
+    [{'mass_dim':      1.8,
+      'surface_dim':   2.3,
+      'cluster_rg':   86.7,
+      'primary_rg': 4000.0,
+     }, 0.05, 1.77537e-05],
 
-         [{'radius':        1.0,
-           'mass_dim':      2.3,
-           'surface_dim':   1.0,
-           'cluster_rg':   90.0,
-           'primary_rg': 1000.0,
-           'scale':        10.0,
-           }, 0.051, 0.000169548800377],
-         ]
+    # Additional tests with larger range of parameters
+    [{'mass_dim':      3.3,
+      'surface_dim':   1.0,
+      'cluster_rg':   90.0,
+      'primary_rg': 4000.0,
+     }, 0.001, 0.18462699016],
+
+    [{'mass_dim':      1.3,
+      'surface_dim':   1.0,
+      'cluster_rg':   90.0,
+      'primary_rg': 2000.0,
+      'background':    0.8,
+     }, 0.001, 1.16539753641],
+
+    [{'mass_dim':      2.3,
+      'surface_dim':   1.0,
+      'cluster_rg':   90.0,
+      'primary_rg': 1000.0,
+      'scale':        10.0,
+     }, 0.051, 0.000169548800377],
+    ]
Index: sasmodels/models/pearl_necklace.c
===================================================================
--- sasmodels/models/pearl_necklace.c	(revision cf404cbf1344577110785a29f1390cbabc7969b2)
+++ sasmodels/models/pearl_necklace.c	(revision f12357fd54eaa1b861fbe7a32191f62f1f1d5afd)
@@ -12,9 +12,4 @@
 	double string_thickness, double number_of_pearls, double sld, 
 	double string_sld, double solvent_sld);
-	
-double ER(double radius, double edge_separation,
-	double string_thickness, double number_of_pearls);
-double VR(double radius, double edge_separation,
-	double string_thickness, double number_of_pearls);
 
 // From Igor library
@@ -22,70 +17,87 @@
 	double num_pearls, double sld_pearl, double sld_string, double sld_solv)
 {
+	//relative slds
 	double contrast_pearl = sld_pearl - sld_solv;
 	double contrast_string = sld_string - sld_solv;
+	
+	// number of string segments
+	num_pearls = floor(num_pearls + 0.5); //Force integer number of pearls
+	double num_strings = num_pearls - 1.0;
+	
+	//Pi
+	double pi = 4.0*atan(1.0);
+	
+	// center to center distance between the neighboring pearls
+	double A_s = edge_separation + 2.0 * radius;
+	
+	// Repeated Calculations
+	double sincasq = sinc(q*A_s);
+	double oneminussinc = 1 - sincasq;
+	double q_r = q * radius;
+	double q_edge = q * edge_separation;
+	
+	// each volume
+	double string_vol = edge_separation * pi * thick_string * thick_string / 4.0;
+	double pearl_vol = 4.0 / 3.0 * pi * radius * radius * radius;
 
 	//total volume
-	double pi = 4.0*atan(1.0);
-	double tot_vol = form_volume(radius, edge_separation, thick_string, num_pearls);
-	double string_vol = edge_separation * pi * pow((thick_string / 2.0), 2);
-	double pearl_vol = 4.0 /3.0 * pi * pow(radius, 3);
-	double num_strings = num_pearls - 1;
-	//each mass
+	double tot_vol;
+	//each masses
 	double m_r= contrast_string * string_vol;
 	double m_s= contrast_pearl * pearl_vol;
 	double psi, gamma, beta;
 	//form factors
-	double sss; //pearls
-	double srr; //strings
-	double srs; //cross
-	double A_s, srr_1, srr_2, srr_3;
+	double sss, srr, srs; //cross
+	double srr_1, srr_2, srr_3;
 	double form_factor;
+	tot_vol = num_strings * string_vol;
+	tot_vol += num_pearls * pearl_vol;
 
 	//sine functions of a pearl
-	psi = sin(q*radius);
-	psi -= q * radius * cos(q * radius);
-	psi /= pow((q * radius), 3);
+	psi = sin(q_r);
+	psi -= q_r * cos(q_r);
 	psi *= 3.0;
+	psi /= q_r * q_r * q_r;
 
 	// Note take only 20 terms in Si series: 10 terms may be enough though.
-	gamma = Si(q* edge_separation);
-	gamma /= (q* edge_separation);
-	beta = Si(q * (edge_separation + radius));
-	beta -= Si(q * radius);
-	beta /= (q* edge_separation);
-
-	// center to center distance between the neighboring pearls
-	A_s = edge_separation + 2.0 * radius;
+	gamma = Si(q_edge);
+	gamma /= (q_edge);
+	beta = Si(q * (A_s - radius));
+	beta -= Si(q_r);
+	beta /= q_edge;
 
 	// form factor for num_pearls
-	sss = 1.0 - pow(sinc(q*A_s), num_pearls );
-	sss /= pow((1.0-sinc(q*A_s)), 2);
-	sss *= -sinc(q*A_s);
-	sss -= num_pearls/2.0;
-	sss += num_pearls/(1.0-sinc(q*A_s));
-	sss *= 2.0 * pow((m_s*psi), 2);
+	sss = 1.0 - pow(sincasq, num_pearls);
+	sss /= oneminussinc * oneminussinc;
+	sss *= -sincasq;
+	sss -= num_pearls / 2.0;
+	sss += num_pearls / oneminussinc;
+	sss *= 2.0 * m_s * psi * m_s * psi;
 
 	// form factor for num_strings (like thin rods)
-	srr_1 = -pow(sinc(q*edge_separation/2.0), 2);
+	srr_1 = -sinc(q_edge/2.0) * sinc(q_edge/2.0);
 
 	srr_1 += 2.0 * gamma;
 	srr_1 *= num_strings;
-	srr_2 = 2.0/(1.0-sinc(q*A_s));
-	srr_2 *= num_strings * pow(beta, 2);
-	srr_3 = 1.0 - pow(sinc(q*A_s), num_strings);
-	srr_3 /= pow((1.0-sinc(q*A_s)), 2);
-	srr_3 *= -2.0 * pow(beta, 2);
+	srr_2 = 2.0/oneminussinc;
+	srr_2 *= num_strings;
+	srr_2 *= beta * beta;
+	srr_3 = 1.0 - pow(sincasq, num_strings);
+	srr_3 /= oneminussinc * oneminussinc;
+	srr_3 *= beta * beta;
+	srr_3 *= -2.0;
 
 	// total srr
 	srr = srr_1 + srr_2 + srr_3;
-	srr *= pow(m_r, 2);
+	srr *= m_r * m_r;
 
 	// form factor for correlations
 	srs = 1.0;
-	srs -= pow(sinc(q*A_s), num_strings);
-	srs /= pow((1.0-sinc(q*A_s)), 2);
-	srs *= -sinc(q*A_s);
-	srs += (num_strings/(1.0-sinc(q*A_s)));
-	srs *= 4.0 * (m_r * m_s * beta * psi);
+	srs -= pow(sincasq, num_strings);
+	srs /= oneminussinc * oneminussinc;
+	srs *= -sincasq;
+	srs += num_strings/oneminussinc;
+	srs *= 4.0;
+	srs *= (m_r * m_s * beta * psi);
 
 	form_factor = sss + srr + srs;
@@ -103,6 +115,6 @@
 	double number_of_strings = number_of_pearls - 1.0;
 	
-	double string_vol = edge_separation * pi * pow((string_thickness / 2.0), 2);
-	double pearl_vol = 4.0 /3.0 * pi * pow(radius, 3);
+	double string_vol = edge_separation * pi * string_thickness * string_thickness / 4.0;
+	double pearl_vol = 4.0 / 3.0 * pi * radius * radius * radius;
 
 	total_vol = number_of_strings * string_vol;
@@ -124,6 +136,9 @@
 	double string_sld, double solvent_sld)
 {
-	double value = 0.0;
-	double tot_vol = 0.0;
+	double value, tot_vol;
+	
+	if (string_thickness >= radius || number_of_pearls <= 0) {
+		return NAN;
+	}
 	
 	value = _pearl_necklace_kernel(q, radius, edge_separation, string_thickness,
@@ -142,19 +157,2 @@
 		sld, string_sld, solvent_sld));
 }
-
-
-double ER(double radius, double edge_separation,
-	double string_thickness, double number_of_pearls)
-{
-	double tot_vol = form_volume(radius, edge_separation, string_thickness, number_of_pearls);
-	double pi = 4.0*atan(1.0);
-
-    double rad_out = pow((3.0*tot_vol/4.0/pi), 0.33333);
-    
-    return rad_out;
-}
-double VR(double radius, double edge_separation,
-	double string_thickness, double number_of_pearls)
-{
-	return 1.0;
-}
Index: sasmodels/models/pearl_necklace.py
===================================================================
--- sasmodels/models/pearl_necklace.py	(revision cf404cbf1344577110785a29f1390cbabc7969b2)
+++ sasmodels/models/pearl_necklace.py	(revision d18582e2d66b12afb03e1c3a7c0af6e4449c6bfe)
@@ -1,7 +1,7 @@
 r"""
-This model provides the form factor for a pearl necklace composed of two 
-elements: *N* pearls (homogeneous spheres of radius *R*) freely jointed by *M* 
+This model provides the form factor for a pearl necklace composed of two
+elements: *N* pearls (homogeneous spheres of radius *R*) freely jointed by *M*
 rods (like strings - with a total mass *Mw* = *M* \* *m*\ :sub:`r` + *N* \* *m*\
-:sub:`s`, and the string segment length (or edge separation) *l* 
+:sub:`s`, and the string segment length (or edge separation) *l*
 (= *A* - 2\ *R*)). *A* is the center-to-center pearl separation distance.
 
@@ -13,5 +13,5 @@
 ----------
 
-The output of the scattering intensity function for the PearlNecklaceModel is 
+The output of the scattering intensity function for the PearlNecklaceModel is
 given by (Schweins, 2004)
 
@@ -37,8 +37,8 @@
     \beta(q) &= \frac{\int_{qR}^{q(A-R)}\frac{sin(t)}{t}dt}{ql}
 
-where the mass *m*\ :sub:`i` is (SLD\ :sub:`i` - SLD\ :sub:`solvent`) \* 
+where the mass *m*\ :sub:`i` is (SLD\ :sub:`i` - SLD\ :sub:`solvent`) \*
 (volume of the *N* pearls/rods). *V* is the total volume of the necklace.
 
-The 2D scattering intensity is the same as $P(q)$ above, regardless of the 
+The 2D scattering intensity is the same as $P(q)$ above, regardless of the
 orientation of the *q* vector.
 
@@ -54,9 +54,9 @@
 REFERENCE
 
-R Schweins and K Huber, *Particle Scattering Factor of Pearl Necklace Chains*, 
+R Schweins and K Huber, *Particle Scattering Factor of Pearl Necklace Chains*,
 *Macromol. Symp.* 211 (2004) 25-42 2004
 """
 
-from numpy import inf
+from numpy import inf, pi
 
 name = "pearl_necklace"
@@ -79,21 +79,42 @@
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["radius", "Angstrom", 80.0, [0, inf], "volume", 
+parameters = [["radius", "Angstrom", 80.0, [0, inf], "volume",
                "Mean radius of the chained spheres"],
-              ["edge_separation", "Angstrom", 350.0, [0, inf], "volume", 
+              ["edge_separation", "Angstrom", 350.0, [0, inf], "volume",
                "Mean separation of chained particles"],
-              ["string_thickness", "Angstrom", 2.5, [0, inf], "volume", 
+              ["string_thickness", "Angstrom", 2.5, [0, inf], "volume",
                "Thickness of the chain linkage"],
-              ["number_of_pearls", "none", 3, [0, inf], "volume", 
+              ["number_of_pearls", "none", 3, [0, inf], "volume",
                "Mean number of pearls in each necklace"],
-              ["sld", "Angstrom^2", 1.0, [-inf, inf], "", 
+              ["sld", "Angstrom^2", 1.0, [-inf, inf], "",
                "Scattering length density of the chained spheres"],
-              ["string_sld", "Angstrom^2", 1.0, [-inf, inf], "", 
+              ["string_sld", "Angstrom^2", 1.0, [-inf, inf], "",
                "Scattering length density of the chain linkage"],
-              ["solvent_sld", "Angstrom^2", 6.3, [-inf, inf], "", 
+              ["solvent_sld", "Angstrom^2", 6.3, [-inf, inf], "",
                "Scattering length density of the solvent"],
-              ]
+             ]
 
 source = ["lib/Si.c", "pearl_necklace.c"]
+single = False  # use double precision unless told otherwise
+
+def volume(radius, edge_separation, string_thickness, number_of_pearls):
+    """
+    Calculates the total particle volume of the necklace.
+    Redundant with form_volume.
+    """
+    number_of_strings = number_of_pearls - 1.0
+    string_vol = edge_separation * pi * pow((string_thickness / 2.0), 2.0)
+    pearl_vol = 4.0 /3.0 * pi * pow(radius, 3.0)
+    total_vol = number_of_strings * string_vol
+    total_vol += number_of_pearls * pearl_vol
+    return total_vol
+
+def ER(radius, edge_separation, string_thickness, number_of_pearls):
+    """
+    Calculation for effective radius.
+    """
+    tot_vol = volume(radius, edge_separation, string_thickness, number_of_pearls)
+    rad_out = pow((3.0*tot_vol/4.0/pi), 0.33333)
+    return rad_out
 
 # parameters for demo
@@ -110,6 +131,8 @@
 # names and the target sasview model name.
 oldname = 'PearlNecklaceModel'
-oldpars = dict(scale='scale',background='background',radius='radius',
+oldpars = dict(scale='scale', background='background', radius='radius',
                number_of_pearls='num_pearls', solvent_sld='sld_solv',
                string_thickness='thick_string', sld='sld_pearl',
                string_sld='sld_string', edge_separation='edge_separation')
+
+tests = [[{}, 0.001, 17380.245], [{}, 'ER', 115.39502]]
Index: sasmodels/models/polymer_excl_volume.py
===================================================================
--- sasmodels/models/polymer_excl_volume.py	(revision 513efc509d218370e6a8ca9cabf24f087a2de902)
+++ sasmodels/models/polymer_excl_volume.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -113,12 +113,15 @@
 category = "shape-independent"
 
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type", "description"],
 parameters = [["rg",        "Ang", 60.0, [0, inf],    "", "Radius of Gyration"],
               ["porod_exp", "",     3.0, [-inf, inf], "", "Porod exponent"],
-              ]
+             ]
+# pylint: enable=bad-whitespace, line-too-long
 
 
-def Iq(q, rg, porod_exp):
-
+def Iq(q,
+       rg=60.0,
+       porod_exp=3.0):
     """
     :param q:         Input q-value (float or [float, float])
@@ -131,5 +134,6 @@
     o2nu = 1.0/(2.0*nu)
 
-    intensity = ((1.0/(nu*power(u, o2nu))) * (gamma(o2nu)*gammainc(o2nu, u) -
+    intensity = ((1.0/(nu*power(u, o2nu))) *
+                 (gamma(o2nu)*gammainc(o2nu, u) -
                   1.0/power(u, o2nu) * gamma(porod_exp) *
                   gammainc(porod_exp, u))) * (q > 0) + 1.0*(q <= 0)
@@ -141,7 +145,12 @@
 
 def Iqxy(qx, qy, *args):
-        iq = Iq(sqrt(qx**2 + qy**2), *args)
+    """
+    :param qx:   Input q_x-value
+    :param qy:   Input q_y-value
+    :param args: Remaining arguments
+    :return:     2D-Intensity
+    """
 
-        return iq
+    return Iq(sqrt(qx**2 + qy**2), *args)
 
 Iqxy.vectorized = True  # Iqxy accepts an array of qx, qy values
@@ -157,9 +166,14 @@
                porod_exp='m')
 
-tests = [[{'rg': 10, 'porod_exp': 4.0}, 0.1, 0.723436675809],
+tests = [
+    # Accuracy tests based on content in test/polyexclvol_default_igor.txt
+    [{'rg': 60, 'porod_exp': 3.0}, 0.001, 0.998801],
+    [{'rg': 60, 'porod_exp': 3.0}, 0.105363, 0.0162751],
+    [{'rg': 60, 'porod_exp': 3.0}, 0.665075, 6.56261e-05],
 
-         [{'rg': 2.2, 'porod_exp': 22.0, 'background': 100.0}, 5.0, 100.0],
-
-         [{'rg': 1.1, 'porod_exp': 1, 'background': 10.0, 'scale': 1.25},
-         20000., 10.0000712097]
-         ]
+    # Additional tests with larger range of parameters
+    [{'rg': 10, 'porod_exp': 4.0}, 0.1, 0.723436675809],
+    [{'rg': 2.2, 'porod_exp': 22.0, 'background': 100.0}, 5.0, 100.0],
+    [{'rg': 1.1, 'porod_exp': 1, 'background': 10.0, 'scale': 1.25},
+     20000., 10.0000712097]
+    ]
Index: sasmodels/models/power_law.py
===================================================================
--- sasmodels/models/power_law.py	(revision eb69cce00f0781ad8f3eec0eb5965a8576d815b5)
+++ sasmodels/models/power_law.py	(revision 841753cbac7824298effa1aec88a7ee977eb257f)
@@ -12,9 +12,9 @@
     I(q) = \text{scale} \cdot q^{-\text{power}} + \text{background}
 
-Note the minus sign in front of the exponent. The exponent *power* 
+Note the minus sign in front of the exponent. The exponent *power*
 should therefore be entered as a **positive** number for fitting.
 
-Also note that unlike many other models, *scale* in this model 
-is NOT explicitly related to a volume fraction. Be careful if 
+Also note that unlike many other models, *scale* in this model
+is NOT explicitly related to a volume fraction. Be careful if
 combining this model with other models.
 
@@ -31,12 +31,12 @@
 from numpy import inf, sqrt
 
-name =  "power_law"
+name = "power_law"
 title = "Simple power law with a flat background"
 
-description = """\
-        Evaluates the function
-        I(q) = scale * q^(-power) + background
-        NB: enter power as a positive number!
-        """
+description = """
+    Evaluates the function
+    I(q) = scale * q^(-power) + background
+    NB: enter power as a positive number!
+    """
 category = "shape-independent"
 
@@ -45,5 +45,6 @@
 
 # NB: Scale and Background are implicit parameters on every model
-def Iq(q,power):
+def Iq(q, power):
+    # pylint: disable=missing-docstring
     inten = (q**-power)
     return inten
@@ -51,4 +52,5 @@
 
 def Iqxy(qx, qy, *args):
+    # pylint: disable=missing-docstring
     return Iq(sqrt(qx ** 2 + qy ** 2), *args)
 Iqxy.vectorized = True # Iqxy accepts an array of qx, qy values
@@ -64,4 +66,5 @@
 
 tests = [
-        [ {'scale': 1.0, 'power': 4.0, 'background' : 0.0}, [0.0106939, 0.469418], [7.64644e+07, 20.5949]]
-        ]
+    [{'scale': 1.0, 'power': 4.0, 'background' : 0.0},
+     [0.0106939, 0.469418], [7.64644e+07, 20.5949]],
+    ]
Index: sasmodels/models/rpa.c
===================================================================
--- sasmodels/models/rpa.c	(revision 82c299fa51ab091ee8ead0a235d4177ccfeecb99)
+++ sasmodels/models/rpa.c	(revision 13ed84c3c71257d2df9c2ed4b4e98c0bfa4d7d69)
@@ -205,5 +205,5 @@
   const double Kbb = 0.0;
   const double Kcc = 0.0;
-  const double Kdd = 0.0;
+  //const double Kdd = 0.0;
   const double Zaa = Kaa - Kad - Kad;
   const double Zab = Kab - Kad - Kbd;
@@ -278,9 +278,9 @@
   const double Q12 = (-Mab*Mcc + Mac*Mcb)/DenQ;
   const double Q13 = ( Mab*Mbc - Mac*Mbb)/DenQ;
-  const double Q21 = (-Mba*Mcc + Mbc*Mca)/DenQ;
+  //const double Q21 = (-Mba*Mcc + Mbc*Mca)/DenQ;
   const double Q22 = ( Maa*Mcc - Mac*Mca)/DenQ;
   const double Q23 = (-Maa*Mbc + Mac*Mba)/DenQ;
-  const double Q31 = ( Mba*Mcb - Mbb*Mca)/DenQ;
-  const double Q32 = (-Maa*Mcb + Mab*Mca)/DenQ;
+  //const double Q31 = ( Mba*Mcb - Mbb*Mca)/DenQ;
+  //const double Q32 = (-Maa*Mcb + Mab*Mca)/DenQ;
   const double Q33 = ( Maa*Mbb - Mab*Mba)/DenQ;
 
Index: sasmodels/models/star_polymer.py
===================================================================
--- sasmodels/models/star_polymer.py	(revision 55b283e83d5d634117ba0d673c0f2121cce7ce82)
+++ sasmodels/models/star_polymer.py	(revision 13ed84c3c71257d2df9c2ed4b4e98c0bfa4d7d69)
@@ -55,10 +55,11 @@
         """
 category = "shape-independent"
-
+single = False
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [["radius2", "Ang", 100.0, [0.0, inf], "", "Ensemble radius of gyration squared of an arm"],
               ["arms",    "",      3,   [1.0, 6.0], "", "Number of arms in the model"],
-              ]
-
+             ]
+# pylint: enable=bad-whitespace, line-too-long
 
 source = ["star_polymer.c"]
@@ -75,9 +76,9 @@
 tests = [[{'radius2': 2.0,
            'arms':    3.3,
-           }, 0.5, 0.850646091108],
+          }, 0.5, 0.850646091108],
 
          [{'radius2':    1.0,
            'arms':       2.0,
            'background': 1.8,
-           }, 1.0, 2.53575888234],
-         ]
+          }, 1.0, 2.53575888234],
+        ]
Index: sasmodels/models/stickyhardsphere.py
===================================================================
--- sasmodels/models/stickyhardsphere.py	(revision d18f8a8e10d65f0ace6fdc9360abd60dfcd6dcce)
+++ sasmodels/models/stickyhardsphere.py	(revision 13ed84c3c71257d2df9c2ed4b4e98c0bfa4d7d69)
@@ -85,4 +85,5 @@
 category = "structure-factor"
 
+single = False
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [
@@ -182,3 +183,9 @@
 demo = dict(effect_radius=200, volfraction=0.2, perturb=0.05,
             stickiness=0.2, effect_radius_pd=0.1, effect_radius_pd_n=40)
+#
+tests = [
+        [ {'scale': 1.0, 'background' : 0.0, 'effect_radius' : 50.0, 'perturb' : 0.05, 'stickiness' : 0.2, 'volfraction' : 0.1,
+           'effect_radius_pd' : 0}, [0.001], [1.09718]]
+        ]
 
+
Index: sasmodels/models/surface_fractal.py
===================================================================
--- sasmodels/models/surface_fractal.py	(revision 9c461c713e9961727442c844be3e6354d6548c2f)
+++ sasmodels/models/surface_fractal.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -80,4 +80,5 @@
 category = "shape-independent"
 
+# pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [["radius",        "Ang", 10.0, [0, inf],   "",
@@ -87,6 +88,6 @@
               ["cutoff_length", "Ang", 500., [0.0, inf], "",
                "Cut-off Length"],
-              ]
-
+             ]
+# pylint: enable=bad-whitespace, line-too-long
 
 source = ["lib/sph_j1c.c", "lib/lanczos_gamma.c", "surface_fractal.c"]
@@ -100,13 +101,27 @@
                cutoff_length='co_length')
 
-tests = [[{'radius': 1.0, 'surface_dim': 1.0, 'cutoff_length': 10.0,
-           }, 0.332070182643, 1125.00321004],
+tests = [
+    # Accuracy tests based on content in test/utest_other_models.py
+    [{'radius': 10.0,
+      'surface_dim': 2.0,
+      'cutoff_length': 500.0,
+     }, 0.05, 301428.65916],
 
-         [{'radius': 3.5, 'surface_dim': 0.1, 'cutoff_length': 30.0,
-           'background': 0.01,
-           }, 5.0, 0.00999998891322],
+    # Additional tests with larger range of parameters
+    [{'radius': 1.0,
+      'surface_dim': 1.0,
+      'cutoff_length': 10.0,
+     }, 0.332070182643, 1125.00321004],
 
-         [{'radius': 3.0, 'surface_dim': 1.0, 'cutoff_length': 33.0,
-           'scale': 0.1,
-           }, 0.51, 2.50020147004],
-         ]
+    [{'radius': 3.5,
+      'surface_dim': 0.1,
+      'cutoff_length': 30.0,
+      'background': 0.01,
+     }, 5.0, 0.00999998891322],
+
+    [{'radius': 3.0,
+      'surface_dim': 1.0,
+      'cutoff_length': 33.0,
+      'scale': 0.1,
+     }, 0.51, 2.50020147004],
+    ]
Index: sasmodels/models/two_lorentzian.py
===================================================================
--- sasmodels/models/two_lorentzian.py	(revision 513efc509d218370e6a8ca9cabf24f087a2de902)
+++ sasmodels/models/two_lorentzian.py	(revision 168052c5791506d7dfad00173f5636fc5701ad11)
@@ -54,27 +54,23 @@
 category = "shape-independent"
 
+# pylint: disable=bad-whitespace, line-too-long
 #            ["name", "units", default, [lower, upper], "type", "description"],
-parameters = [["lorentz_scale_1",  "",     10.0, [-inf, inf], "",
-               "First power law scale factor"],
-              ["lorentz_length_1", "Ang", 100.0, [-inf, inf], "",
-               "First Lorentzian screening length"],
-              ["lorentz_exp_1",    "",      3.0, [-inf, inf], "",
-               "First exponent of power law"],
-              ["lorentz_scale_2",  "",      1.0, [-inf, inf], "",
-               "Second scale factor for broad Lorentzian peak"],
-              ["lorentz_length_2", "Ang",  10.0, [-inf, inf], "",
-               "Second Lorentzian screening length"],
-              ["lorentz_exp_2",    "",      2.0, [-inf, inf], "",
-               "Second exponent of power law"],
-              ]
+parameters = [["lorentz_scale_1",  "",     10.0, [-inf, inf], "", "First power law scale factor"],
+              ["lorentz_length_1", "Ang", 100.0, [-inf, inf], "", "First Lorentzian screening length"],
+              ["lorentz_exp_1",    "",      3.0, [-inf, inf], "", "First exponent of power law"],
+              ["lorentz_scale_2",  "",      1.0, [-inf, inf], "", "Second scale factor for broad Lorentzian peak"],
+              ["lorentz_length_2", "Ang",  10.0, [-inf, inf], "", "Second Lorentzian screening length"],
+              ["lorentz_exp_2",    "",      2.0, [-inf, inf], "", "Second exponent of power law"],
+             ]
+# pylint: enable=bad-whitespace, line-too-long
 
 
 def Iq(q,
-       lorentz_scale_1,
-       lorentz_length_1,
-       lorentz_exp_1,
-       lorentz_scale_2,
-       lorentz_length_2,
-       lorentz_exp_2):
+       lorentz_scale_1=10.0,
+       lorentz_length_1=100.0,
+       lorentz_exp_1=3.0,
+       lorentz_scale_2=1.0,
+       lorentz_length_2=10.0,
+       lorentz_exp_2=2.0):
 
     """
@@ -88,9 +84,10 @@
     :return:                    Calculated intensity
     """
-
+# pylint: disable=bad-whitespace
     intensity  = lorentz_scale_1/(1.0 +
                                   power(q*lorentz_length_1, lorentz_exp_1))
     intensity += lorentz_scale_2/(1.0 +
                                   power(q*lorentz_length_2, lorentz_exp_2))
+# pylint: enable=bad-whitespace
 
     return intensity
@@ -100,7 +97,12 @@
 
 def Iqxy(qx, qy, *args):
-        iq = Iq(sqrt(qx**2 + qy**2), *args)
+    """
+    :param qx:   Input q_x-value
+    :param qy:   Input q_y-value
+    :param args: Remaining arguments
+    :return:     2D-Intensity
+    """
 
-        return iq
+    return Iq(sqrt(qx**2 + qy**2), *args)
 
 Iqxy.vectorized = True  # Iqxy accepts an array of qx, qy values
@@ -108,36 +110,74 @@
 
 demo = dict(scale=1, background=0.1,
-            lorentz_scale_1=10, lorentz_length_1=100.0, lorentz_exp_1=3.0,
-            lorentz_scale_2=1,  lorentz_length_2=10,    lorentz_exp_2=2.0)
+            lorentz_scale_1=10,
+            lorentz_length_1=100.0,
+            lorentz_exp_1=3.0,
+            lorentz_scale_2=1,
+            lorentz_length_2=10,
+            lorentz_exp_2=2.0)
 
 oldname = "TwoLorentzianModel"
 oldpars = dict(background='background',
-               lorentz_scale_1='scale_1',   lorentz_scale_2='scale_2',
-               lorentz_length_1='length_1', lorentz_length_2='length_2',
-               lorentz_exp_1='exponent_1',  lorentz_exp_2='exponent_2')
+               lorentz_scale_1='scale_1',
+               lorentz_scale_2='scale_2',
+               lorentz_length_1='length_1',
+               lorentz_length_2='length_2',
+               lorentz_exp_1='exponent_1',
+               lorentz_exp_2='exponent_2')
 
-tests = [[{'lorentz_scale_1':   10.0,
-           'lorentz_length_1': 100.0,
-           'lorentz_exp_1':      3.0,
-           'lorentz_scale_2':    1.0,
-           'lorentz_length_2':  10.0,
-           'lorentz_exp_2':      2.0,
-           }, 0.000332070182643, 10.9996228107],
+tests = [
 
-         [{'lorentz_scale_1':  0.0,
-           'lorentz_length_1': 0.0,
-           'lorentz_exp_1':    0.0,
-           'lorentz_scale_2':  0.0,
-           'lorentz_length_2': 0.0,
-           'lorentz_exp_2':    0.0,
-           'background':     100.0
-           }, 5.0, 100.0],
+    # Accuracy tests based on content in test/utest_extra_models.py
+    [{'lorentz_scale_1':   10.0,
+      'lorentz_length_1': 100.0,
+      'lorentz_exp_1':      3.0,
+      'lorentz_scale_2':    1.0,
+      'lorentz_length_2':  10.0,
+      'lorentz_exp_2':      2.0,
+      'background':         0.1,
+     }, 0.001, 11.08991],
 
-         [{'lorentz_scale_1': 200.0,
-           'lorentz_length_1': 10.0,
-           'lorentz_exp_1':     0.1,
-           'lorentz_scale_2':   0.1,
-           'lorentz_length_2':  5.0,
-           'lorentz_exp_2':     2.0
-           }, 20000., 45.5659201896],
-         ]
+    [{'lorentz_scale_1':   10.0,
+      'lorentz_length_1': 100.0,
+      'lorentz_exp_1':      3.0,
+      'lorentz_scale_2':    1.0,
+      'lorentz_length_2':  10.0,
+      'lorentz_exp_2':      2.0,
+      'background':         0.1,
+     }, 0.150141, 0.410245],
+
+    [{'lorentz_scale_1':   10.0,
+      'lorentz_length_1': 100.0,
+      'lorentz_exp_1':      3.0,
+      'lorentz_scale_2':    1.0,
+      'lorentz_length_2':  10.0,
+      'lorentz_exp_2':      2.0,
+      'background':         0.1,
+     }, 0.442528, 0.148699],
+
+    # Additional tests with larger range of parameters
+    [{'lorentz_scale_1':   10.0,
+      'lorentz_length_1': 100.0,
+      'lorentz_exp_1':      3.0,
+      'lorentz_scale_2':    1.0,
+      'lorentz_length_2':  10.0,
+      'lorentz_exp_2':      2.0,
+     }, 0.000332070182643, 10.9996228107],
+
+    [{'lorentz_scale_1':  0.0,
+      'lorentz_length_1': 0.0,
+      'lorentz_exp_1':    0.0,
+      'lorentz_scale_2':  0.0,
+      'lorentz_length_2': 0.0,
+      'lorentz_exp_2':    0.0,
+      'background':     100.0
+     }, 5.0, 100.0],
+
+    [{'lorentz_scale_1': 200.0,
+      'lorentz_length_1': 10.0,
+      'lorentz_exp_1':     0.1,
+      'lorentz_scale_2':   0.1,
+      'lorentz_length_2':  5.0,
+      'lorentz_exp_2':     2.0
+     }, 20000., 45.5659201896],
+    ]
